set echo on
whenever sqlerror exit;

REM Changes to the following variables are mandatory
DEFINE PATH="/tmp/oracle/"
spool &PATH.create_reqpro.log
DEFINE ORACLE_DATA=/opt/reqpro/rq71_data
DEFINE ORACLE_INDEX=/opt/reqpro/rq71_index

REM Changes to the following variables are optional
DEFINE USR=rq71
DEFINE PWD=reqpro71
DEFINE DATA_SIZE=110M
DEFINE INDEX_SIZE=30M
DEFINE REQPRO_DATA=rq71_data
DEFINE REQPRO_INDEX=rq71_index
DEFINE TEMP=temp
DEFINE SMALL=10K
DEFINE MEDIUM=100K
DEFINE LARGE=1000K
DEFINE REQS=6000K
DEFINE REQHIST=75000K
DEFINE MAX_VARCHAR=2000

@"&PATH.tablespace.sql" &ORACLE_DATA &DATA_SIZE &ORACLE_INDEX &INDEX_SIZE &REQPRO_DATA &REQPRO_INDEX
@"&PATH.create_user.sql" &REQPRO_DATA &TEMP &USR &PWD
@"&PATH.tables.sql" &REQPRO_DATA &SMALL &MEDIUM &LARGE &REQS &REQHIST &MAX_VARCHAR
@"&PATH.primary.sql" &REQPRO_INDEX &SMALL &MEDIUM &LARGE
@"&PATH.indexes.sql" &REQPRO_INDEX &SMALL &MEDIUM &LARGE
@"&PATH.foreign.sql"
@"&PATH.functions.sql"
@"&PATH.sequence.sql"
@"&PATH.procedures.sql"
@"&PATH.data.sql" &MAX_VARCHAR
@"&PATH.grant_role.sql" &USR
@"&PATH.OracleSchemaUpgrade71.sql" &REQPRO_DATA &SMALL &MEDIUM &LARGE &REQPRO_INDEX &USR

set echo off
prompt
prompt Process completed. RequisitePro schema successfully created.
spool off
