/* Before running this script, replace the following:                              */
/*                                                                                 */
/* ReqProDB	= The RequisitePro database                                        */
/* Domain\user  = Domain\username for the user to add to the RequisitePro database */
/* ReqProSchema = The name of the RequisitePro schema                              */

/* You must connect as a  system administrator to run the script */

USE [ReqProDB];

/*  If role does not exist, create it */

If NOT Exists (select * from sys.database_principals where name = 'ReqProRole' and type_desc = 'DATABASE_ROLE')
BEGIN
  
    CREATE ROLE [ReqProRole];

    GRANT CREATE VIEW TO [ReqProRole];

    GRANT ALTER on SCHEMA::[ReqProSchema] to [ReqProRole];

    EXEC sp_addrolemember db_datareader, [ReqProRole];

    EXEC sp_addrolemember db_datawriter, [ReqProRole];
END

/* Repeat the next 3 commands for each user to be added to the database */

CREATE LOGIN [Domain\user] FROM WINDOWS WITH DEFAULT_DATABASE=[ReqProDB], DEFAULT_LANGUAGE= [us_english];

CREATE USER [Domain\user] FOR LOGIN [Domain\user] WITH DEFAULT_SCHEMA=[ReqProSchema];

EXEC sp_addrolemember [ReqProRole], [Domain\user];
